Rusty Autolisper needs help

Discussion in 'AutoCAD' started by Jos Groot Lipman, Oct 27, 2003.

  1. (setq ent (car (entsel)))
    The result of (subst) is the new list, it does not modify the original list.
    Use:
    (setq alist (subst (list 10 1.0 1.0 0.0) (assoc 10 alist) alist))
     
    Jos Groot Lipman, Oct 27, 2003
    #1
  2. Jos Groot Lipman

    SW Guest

    Ignore previous thread...
    I've been attempting to use entmod to edit the end of a line...
    I am successful in using the subst command to modify the startpoint of a
    line,,,,
    but when I try to use entmod to update the list, the output gives me the
    original list.
    Any help greatly appreciated.
    Does entmod not work on lists that represent coordinates?

    (setq ent (car (entsel)))
    (setq alist(entget ent))
    (subst (list 10 1.0 1.0 0.0) (assoc 10 alist) alist); list shows up with new
    starting coordinate
    (entmod alist); original alist with original starting coordinate shows up.

    Thanks in advance.
     
    SW, Oct 27, 2003
    #2
  3. Jos Groot Lipman

    SW Guest

    Thankyou for the tip.

     
    SW, Oct 28, 2003
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.